#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tree-diff
version:              0.3.0.1
visibility:           public
id:                   tree-diff-0.3.0.1-DLF6CTfJ9dpKgZLuYEyupX
key:                  tree-diff-0.3.0.1-DLF6CTfJ9dpKgZLuYEyupX
license:              GPL-2.0-or-later
copyright:            (c) 2017-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/tree-diff
synopsis:             Diffing of (expression) trees.
description:
    Common diff algorithm works on list structures:

    @
    diff :: Eq a => [a] -> [a] -> [Edit a]
    @

    This package works on trees.

    @
    treeDiff :: Eq a => Tree a -> Tree a -> Edit (EditTree a)
    @

    This package also provides a way to diff arbitrary ADTs,
    using @Generics@-derivable helpers.

    This package differs from <http://hackage.haskell.org/package/gdiff gdiff>,
    in a two ways: @tree-diff@ doesn'\''t have patch function,
    and the "edit-script" is a tree itself, which is useful for pretty-printing.

    @
    >>> prettyEditExpr $ ediff (Foo 42 [True, False] "old") (Foo 42 [False, False, True] "new")
    Foo
    \  {fooBool = [-True, +False, False, +True],
    \   fooInt = 42,
    \   fooString = -"old" +"new"}
    @

category:             Data, Testing
abi:                  7a1c2be5ef87f6573c4eefbfaa8432e2
exposed:              True
exposed-modules:
    Data.TreeDiff Data.TreeDiff.Class Data.TreeDiff.Expr
    Data.TreeDiff.Golden Data.TreeDiff.List Data.TreeDiff.OMap
    Data.TreeDiff.Parser Data.TreeDiff.Pretty Data.TreeDiff.QuickCheck
    Data.TreeDiff.Tree

import-dirs:          /usr/lib/ghc-9.0.2/site-local/tree-diff-0.3.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/tree-diff-0.3.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tree-diff
hs-libraries:         HStree-diff-0.3.0.1-DLF6CTfJ9dpKgZLuYEyupX
depends:
    QuickCheck-2.14.3-4hf973knYNzFMwKqZlYl0T
    aeson-2.1.2.1-DWl9t7powqELSMlZOqEF1z
    ansi-terminal-0.11.4-941itkoMzqP2HjyJtSkjHb
    ansi-wl-pprint-0.6.9-2uFUm4gN2lbAAo4Ze86TJx base-4.15.1.0
    base-compat-0.12.2-l1EqrM7Qwu6Pq9d4drKFu bytestring-0.10.12.1
    containers-0.6.4.1 data-array-byte-0.1.0.1-GATnLPLEGZLF3wLUF6Vjru
    deepseq-1.4.5.0 hashable-1.4.3.0-GjMDKgDyLuqLq9SaBPRy7H
    parsec-3.1.14.0 parsers-0.12.11-3WDQJiOoJHiCvMJzIs8Csm
    pretty-1.1.3.6 primitive-0.7.4.0-B9Fu4okMgOmJjvJHFt8syV
    scientific-0.3.7.0-2BROXMcphQvBvR7InQl0nB
    semialign-1.2.0.1-4THMex9S8mV8RnlHas0HWa
    strict-0.4.0.1-BSaNpcEr59hEcIjgZGAMjz
    tagged-0.8.8-7t9egrTqJuwIG4IxuqlUrH text-1.2.5.0
    these-1.1.1.1-8yjM1VESLg2JBJ73LO2Zwe time-1.9.3
    unordered-containers-0.2.20-GD5h4dXRiYp4CZJcEpki1R
    uuid-types-1.0.5.1-FM5OQUIp4rQALaDuyk5WVw
    vector-0.13.1.0-BQe94mmHcwnGaa4dX3J4G3

haddock-interfaces:   /usr/share/doc/haskell-tree-diff/html/tree-diff.haddock
haddock-html:         /usr/share/doc/haskell-tree-diff/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

